goLaTeX - Mein LaTeX-Forum

Mein LaTeX-Forum


Login  | Registrieren
Direktlinks:
Zuletzt aktive Beiträge
Unbeantwortete Beiträge
[Erweitert]

Forenstatistik:
Beiträge: 99396
Top-Poster: Johannes_B (5059)

Wir begrüßen unseren neuesten Benutzer nf.

Links:


Mit Unterstützung von DANTE e.V.: Deutschsprachige Anwendervereinigung TeX. Danke den Mitgliedern!





Forum
      Option
[Erweitert]
  • Diese Seite weiterempfehlen
     


Gehe zu:  
Neues Thema eröffnen Neue Antwort erstellen

modercv theme - compiliert nicht

 

Avernus
Forum-Anfänger
Forum-Anfänger

Beiträge: 15
Anmeldedatum: 24.05.13
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 24.05.2013, 19:15     Titel: modercv theme - compiliert nicht
  Antworten mit Zitat      
Hallo,

ich bearbeite gerade meinen Lebenslauf den mit moderncv geschrieben habe.

Mit dieser Präambel funktioniert alles.
Code • Öffne in Overleaf
\documentclass[11pt,a4paper]{moderncv}
\usepackage[german]{babel}
\moderncvtheme[green]{classic}
\usepackage[utf8]{inputenc}
 


Gerne würde ich jedoch die casual Variante Nutzen, also tausche ich einfach classic und casual. Und schon erhalte ich 10!!! Fehler:

Code • Öffne in Overleaf
LaTeX Font Info: Try loading font information for U+mvs on input line 68.
("C:\Program Files\MiKTeX 2.9\tex\latex\marvosym\umvs.fd")
\listitemmaincolumnwidth=\skip71
\listdoubleitemmaincolumnwidth=\skip72
\makecvtitlenamewidth=\skip73
\baseletterheight=\skip74
*************************************************
* LaTeX warning: "xparse/redefine-command"
*
* Redefining document command \section with arg. spec. 'sm' on line 160.
*************************************************
*************************************************
* LaTeX warning: "xparse/redefine-command"
*
* Redefining document command \subsection with arg. spec. 'sm' on line 169.
*************************************************
\cvitemwithcommentmainbox=\box50
\cvitemwithcommentmainlength=\skip75
\cvitemwithcommentcommentlength=\skip76
) ("C:\Program Files\MiKTeX 2.9\tex\latex\moderncv\moderncviconsawesome.sty"
Package: moderncviconsawesome 2013/04/23 v1.5.0 modern curriculum vitae and letter icons: awesome
("C:\Program Files\MiKTeX 2.9\tex\latex\fontawesome\fontawesome.sty"
Package: fontawesome 2013/03/23 v3.0.2-1 font awesome icons
("C:\Program Files\MiKTeX 2.9\tex\latex\fontspec\fontspec.sty"
Package: fontspec 2013/03/16 v2.3a Font selection for XeLaTeX and LuaLaTeX
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! Fatal fontspec error: "cannot-use-pdftex"
!
! The fontspec package requires either XeTeX or LuaTeX to function.
!
! You must change your typesetting engine to, e.g., "xelatex" or "lualatex"
! instead of plain "latex" or "pdflatex".
!
! See the fontspec documentation for further information.
!
! For immediate help type H <return>.
!...............................................
l.41 }
|'''''''''''''''''''''''''''''''''''''''''''''''
| This is a fatal error: LaTeX will abort
|...............................................
) ) ) ) )
Here is how much of TeX's memory you used:
16938 strings out of 493921
317577 string characters out of 3147280
384798 words of memory out of 3000000
19931 multiletter control sequences out of 15000+200000
5898 words of font info for 18 fonts, out of 3000000 for 9000
841 hyphenation exceptions out of 8191
77i,1n,61p,808b,103s stack positions out of 5000i,500n,10000p,200000b,50000s
No pages of output.
PDF statistics:
3 PDF objects out of 1000 (max. 8388607)
0 named destinations out of 1000 (max. 500000)
1 words of extra memory for PDF output out of 10000 (max. 10000000)


Es wäre super wenn mir jemand hier einen Tipp geben kann.

Vielen Dank

P.S.: Die 2 warnings sind auch bei der Variante mit Classic da
Private Nachricht senden Benutzer-Profile anzeigen

u_fischer
Forum-Meister
Forum-Meister


Beiträge: 3937
Anmeldedatum: 22.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 24.05.2013, 19:32     Titel:
  Antworten mit Zitat      
Was ist heran unverständlich:

! The fontspec package requires either XeTeX or LuaTeX to function.
!
! You must change your typesetting engine to, e.g., "xelatex" or "lualatex"
! instead of plain "latex" or "pdflatex".
_________________

Ulrike Fischer
www.troubleshooting-tex.de
Private Nachricht senden Benutzer-Profile anzeigen

Avernus
Forum-Anfänger
Forum-Anfänger

Beiträge: 15
Anmeldedatum: 24.05.13
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 24.05.2013, 19:33     Titel:
  Antworten mit Zitat      
u_fischer hat Folgendes geschrieben:
Was ist heran unverständlich:

! The fontspec package requires either XeTeX or LuaTeX to function.
!
! You must change your typesetting engine to, e.g., "xelatex" or "lualatex"
! instead of plain "latex" or "pdflatex".


Das wie und warum.
Kannst du mir sagen wie man das ändert und warum dieser Fehler bei dem anderen Theme nicht auftritt?
Private Nachricht senden Benutzer-Profile anzeigen

u_fischer
Forum-Meister
Forum-Meister


Beiträge: 3937
Anmeldedatum: 22.11.12
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 24.05.2013, 19:36     Titel:
  Antworten mit Zitat      
Nun, du musst halt xelatex aufrufen statt pdflatex. Wie hängt von deinem Editor ab, aber jeder halbwegs aktuelle LaTeX-Editor müsste dafür einen Knopf oder Menupunkt haben.

Du musst dann aber das hier aus dem Dokument entfernen:
\usepackage[utf8]{inputenc}
_________________

Ulrike Fischer
www.troubleshooting-tex.de
Private Nachricht senden Benutzer-Profile anzeigen

Avernus
Forum-Anfänger
Forum-Anfänger

Beiträge: 15
Anmeldedatum: 24.05.13
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 24.05.2013, 19:40     Titel:
  Antworten mit Zitat      
u_fischer hat Folgendes geschrieben:
Nun, du musst halt xelatex aufrufen statt pdflatex. Wie hängt von deinem Editor ab, aber jeder halbwegs aktuelle LaTeX-Editor müsste dafür einen Knopf oder Menupunkt haben.

Du musst dann aber das hier aus dem Dokument entfernen:
\usepackage[utf8]{inputenc}


ah okay. ich bin davon ausgegangen, dass man einen Befehl in der Präambel ergänzen muss.

Eine Frage habe ich noch: Gibt es einen Weg, bei moderncvtheme{classic} das Photo auf die linke Seite neben den Namen zu setzen?
Private Nachricht senden Benutzer-Profile anzeigen

Besserwisser
Gast

Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 26.05.2013, 15:13     Titel:
  Antworten mit Zitat      
Übrigens hat moderncv nichts mit KOMA-Script zu tun, die Frage ist in diesem Unterforum also falsch platziert. Bitte einen Moderator, sie passend zu verschieben.

Zum Verständnis oder zur Verwirrung Wink bezüglich des Problems:

pdflatex verwende pdftex. pdftex ist eine TeX-Engine/Maschine für 8-Bit codierte Zeichen sowohl bei der Eingabe als auch bei der Ausgabe. Für die Eingabe mit unterschiedlichen 8-Bit-Codierungen wird das Paket inputenc benötigt. Damit können dann beispielsweise ISO-Latin-1 (für westeuropäische Zeichen), ansinew (eine ISO-Latin-Erweiterung von Microsoft) aber auch eine Untermenge von UTF8 eingegeben werden. Gleichzeitig wird das Paket fontenc benötigt, um das Ergebnis dann wieder beispielsweise in OT1 (die ursprüngliche 7-Bit-Codierung der ursprünglichen TeX-Zeichensätze) oder T1 (die 8-Bit-Codierung vieler TeX-Zeichensätze) ausgeben zu können.

xelatex verwendet xetex. xetex ist eine TeX-Engine, die von sich aus bereits UTF8 als Eingabecodierung unterstützt und auch intern unicode-fähig ist. Man kann es zwar auch auf die ale 8-Bit-Weise verwenden, sinnvoller ist aber, die neue Methode zu verwenden. Gleichzeitig kann xetex auch mit OpenType-Fonts umgehen, und ist insbesondere nicht mehr auf 8-Bit-Zeichensätze angewiesen. Das gibt deutlich mehr Möglichkeiten. Um diese komfortabel nutzen zu können, gibt es das Paket fontspec (und ein paar weitere XeTeX-spezifische Pakete). Diese funktionieren natürlich nicht mit pdflatex, weil pdftex die dafür benötigten Möglichkeiten schlicht fehlen.

lualatex verwendet luatex. Bezüglich des Umgangs mit der Eingabe und Fonts bietet es ähnliche Möglichkeiten wie xetex. Deshalb funktionieren manche der ursprünglich für xelatex entwickelten Pakete (auch dank einiger Anpassungen der Autoren und ihrer Mitstreiter) auch damit.

Wenn man also fontspec verwenden will, muss man entweder xelatex oder lualaex verwenden. Dann ist es aber nicht mehr sinnvoll, mit den unvollständigen und manchmal hakelnden utf8-Unterstützung von inputenc auszukommen, sondern man lässt dieses Paket dann sinnvoller Weise weg (das gilt übrigens auch für das darauf aufbauende selinput) und verwendet stattdessen die native UTF8-Unterstützung von xelatex bzw. lualatex.

Nichtsdestotrotz: Sowohl pdflatex als auch xelatex als auch lualatex verarbeiten LaTeX-Code.

ponjio
Forum-Fortgeschrittener
Forum-Fortgeschrittener

Beiträge: 62
Anmeldedatum: 26.07.11
Wohnort: ---
Version: MikTeX 2.9 & TeXMaker 4.04
     Beitrag Verfasst am: 08.09.2013, 23:15     Titel: Einstellung von LuaLaTeX zum compilieren
  Antworten mit Zitat      
Guten Abend,

ich bin gerade ein wenig am Verzweifeln. Ich versuche gerade mein Lebenslauf mit dem moderncv-Paket zu erstellen.

Anbei erstmal das Minimalbeispiel:
Code • Öffne in Overleaf

\documentclass[11pt,a4paper,sans]{moderncv}

\moderncvstyle{casual}                            
\moderncvcolor{blue}

\usepackage[ngerman]{babel}
\usepackage[scale=0.75]{geometry}

\name{Max}{Mustermann}
\address{Musterstraße 1}{12345 Musterstadt}{Germany}
\phone[mobile]{+49\,(101)\,765\,43\,21}
\email{max.mustermann@online.xx}

\begin{document}

\makecvtitle

\section{Education}
\cventry{year--year}{Degree}{Institution}{City}{\textit{Grade}}{Description}  % arguments 3 to 6 can be left empty
\cventry{year--year}{Degree}{Institution}{City}{\textit{Grade}}{Description}


\end{document}

 


Mit PDFLaTeX erhalte ich eine Fehlermeldung, aber auch wenn ich mit XeLaTeX compiliere erhalte ich folgende Fehlermeldung:
! LaTeX Error: File `fontawesome.sty' not found.
Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)


Über meine MikTeX 2.9 Distribution konnte ich die Datei nich downloaden. Jedoch habe ich sie im Internet gefunden und in den angegebenen Ordner geladen. Trotzdem immernoch diese Fehlermeldung.

Ich schreibe übrigens mit TexMaker 4.04

Ich hoffe hier kann mir jemand weiterhelfen (ich weiß es gehört nich zum KOMA - Script, aber ich wollte dafür nich extra ein neues Thema eröffnen, wenn es dieses hier schon gibt)
Private Nachricht senden Benutzer-Profile anzeigen

Stefan Kottwitz
Admin
Admin


Beiträge: 1968
Anmeldedatum: 08.07.08
Wohnort: Hamburger Netzwerk-Spezialist
Version: TeX Live 2019
     Beitrag Verfasst am: 08.09.2013, 23:21     Titel:
  Antworten mit Zitat      
Installiere das MiKTeX-Paket fontawesome mit dem Paketmanager, es gibt das unter dem Namen.

Stefan
Private Nachricht senden Benutzer-Profile anzeigen

ponjio
Forum-Fortgeschrittener
Forum-Fortgeschrittener

Beiträge: 62
Anmeldedatum: 26.07.11
Wohnort: ---
Version: MikTeX 2.9 & TeXMaker 4.04
     Beitrag Verfasst am: 08.09.2013, 23:54     Titel:
  Antworten mit Zitat      
Stefan hat Folgendes geschrieben:
Installiere das MiKTeX-Paket fontawesome mit dem Paketmanager, es gibt das unter dem Namen.

Stefan


Aus unerfindlichen Gründen hatte er es nicht im Paketmanager. Ich habe es jetzt aber trotzdem installieren können. Mein Problem besteht jetzt darin, dass er mir die fontawesome Symbole nicht anzeigt, sondern hingegen folgende Fehlermeldung bringt:

! fontspec error: "font-not-found"
!
! The font "FontAwesome" cannot be found.
!
! See the fontspec documentation for further information.
!


UND

! Font EU1/FontAwesome(0)/m/n/14.4=FontAwesome: at 14.4pt not loadable: Metric

Des größte ist heute ja, dass immer wenn ich einen Fehler behoben habe, danach der nächste Fehler auftritt. Ich arbeite schon ne zeitlang mit dem moderncv Paket doch seit dem Update funktioniert garnichts mehr bei mir Crying or Very sad
Private Nachricht senden Benutzer-Profile anzeigen

Genmutant
Forum-Guru
Forum-Guru

Beiträge: 488
Anmeldedatum: 08.07.08
Wohnort: Augsburg
Version: TexLive 2014, TeXStudio
     Beitrag Verfasst am: 09.09.2013, 08:19     Titel:
  Antworten mit Zitat      
Naja anscheinend hast dus nicht wirklich installieren können, da die Hälfte fehlt. Wenn das Paket nicht im Paketmanager ist, ist bei dir wirklich was faul. Probier mal MiKTeX zu synchronisieren, oder zur Not neu zu installieren.
Private Nachricht senden Benutzer-Profile anzeigen

Neues Thema eröffnen Neue Antwort erstellen Gehe zu Seite 1, 2  Weiter



Options and Permissions
Beiträge der letzten Zeit anzeigen:

Du kannst Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen
.

goLaTeX ist Teil der goForen
goForen.de goMATLAB.de goLaTeX.de


  Datenschutzerklärung | Impressum | FAQ | goLaTeX RSS Button RSS-Feed

Copyright © 2008 - 2019 goLaTeX.de